Bug 150813 - Traceback clicking on existing APC fence device
Summary: Traceback clicking on existing APC fence device
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: redhat-config-cluster   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jim Parsons
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-10 20:46 UTC by Derek Anderson
Modified: 2009-04-16 20:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-15 20:26:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Derek Anderson 2005-03-10 20:46:16 UTC
Description of problem:
To reproduce:
1) Create fence device of type APC.
2) Click on it.

Traceback (most recent call last):
  File "/usr/share/system-config-cluster/ConfigTab.py", line 125, in
on_tree_selection_changed
    self.prop_renderer.render_to_layout_area(obj.getProperties(),
obj.getName(),type)
  File "/usr/share/system-config-cluster/FenceDevice.py", line 34, in
getProperties
    stringbuf = stringbuf + "<span><b>" + NAME + ": " + "</b>" + VALUE
+ "\n</span>"
TypeError: coercing to Unicode: need string or buffer, NoneType found

Also with Brocade type, but not bladecenter type.

Version-Release number of selected component (if applicable):
system-config-cluster-0.9.11-1.0

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Derek Anderson 2005-03-10 20:53:08 UTC
Happens for apc, brocade, mcdata, vixel, and wti.

Comment 2 Derek Anderson 2005-03-11 14:48:18 UTC
The fence agents that are failing are all writing "ipaddress=" rather
than "ipaddr=".  That should fix it.

Comment 3 Jim Parsons 2005-03-28 11:22:15 UTC
Fixed in 0.9.17-1.0

Comment 4 Corey Marthaler 2005-04-15 20:26:20 UTC
fix verified.


Note You need to log in before you can comment on or make changes to this bug.